<?php

declare(strict_types=1);

namespace App\Entity\Person;

// use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use ApiPlatform\Metadata\ApiResource;
use Doctrine\ORM\Mapping as ORM;

/**
 * Informations médicales associées à une Person.
 */
// #[Auditable]
#[ApiResource(operations: [])]
#[ORM\Entity]
class Medical
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\OneToOne(targetEntity: Person::class, mappedBy: 'medical', cascade: ['persist'], orphanRemoval: true)]
    private ?Person $person;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPerson(): ?Person
    {
        return $this->person;
    }

    public function setPerson(?Person $person): self
    {
        $this->person = $person;

        return $this;
    }
}
